com.google.cloud.dataflow.examples.common

## Interface ExamplePubsubTopicAndSubscriptionOptions

All Superinterfaces:
  ApplicationNameOptions, BigQueryOptions, CloudDebuggerOptions, DataflowPipelineDebugOptions, DataflowPipelineOptions, DataflowPipelineWorkerPoolOptions, DataflowProfilingOptions, DataflowWorkerLoggingOptions, ExamplePubsubTopicOptions, GcpOptions, GcsOptions, GoogleApiDebugOptions, HasDisplayData, PipelineOptions, StreamingOptions

    public interface ExamplePubsubTopicAndSubscriptionOptions
    extends ExamplePubsubTopicOptions

Options that can be used to configure Pub/Sub topic/subscription in Dataflow examples.

### Nested Class Summary

Nested Classes
`static class` `ExamplePubsubTopicAndSubscriptionOptions.PubsubSubscriptionFactory` Returns a default Pub/Sub subscription based on the project and the job names.

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.examples.common.ExamplePubsubTopicOptions

`ExamplePubsubTopicOptions.PubsubTopicFactory`

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.options.DataflowPipelineOptions

`DataflowPipelineOptions.JobNameFactory`

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.options.DataflowPipelineDebugOptions

`DataflowPipelineDebugOptions.DataflowClientFactory, DataflowPipelineDebugOptions.PathValidatorFactory, DataflowPipelineDebugOptions.StagerFactory`

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.options.DataflowPipelineWorkerPoolOptions

`DataflowPipelineWorkerPoolOptions.AutoscalingAlgorithmType, DataflowPipelineWorkerPoolOptions.TeardownPolicy, DataflowPipelineWorkerPoolOptions.WorkerHarnessContainerImageFactory`

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.options.GcpOptions

`GcpOptions.CredentialDirFactory, GcpOptions.DefaultProjectFactory, GcpOptions.GcpUserCredentialsFactory`

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.options.GoogleApiDebugOptions

`GoogleApiDebugOptions.GoogleApiTracer`

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.options.PipelineOptions

`PipelineOptions.CheckEnabled`

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.options.GcsOptions

`GcsOptions.ExecutorServiceFactory`

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.options.DataflowWorkerLoggingOptions

`DataflowWorkerLoggingOptions.Level, DataflowWorkerLoggingOptions.WorkerLogLevelOverrides`

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.options.DataflowProfilingOptions

`DataflowProfilingOptions.DataflowProfilingAgentConfiguration`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getPubsubSubscription()`
`void` `setPubsubSubscription(String subscription)`

### Methods inherited from interface com.google.cloud.dataflow.examples.common.ExamplePubsubTopicOptions

`getPubsubTopic, setPubsubTopic`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.DataflowPipelineOptions

`getJobName, getLabels, getProject, getStagingLocation, getUpdate, setJobName, setLabels, setProject, setStagingLocation, setUpdate`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.DataflowPipelineDebugOptions

`getApiRootUrl, getDataflowClient, getDataflowEndpoint, getDataflowJobFile, getDumpHeapOnOOM, getExperiments, getNumberOfWorkerHarnessThreads, getOverrideWindmillBinary, getPathValidator, getPathValidatorClass, getPubsubRootUrl, getStager, getStagerClass, getTransformNameMapping, getWindmillServiceEndpoint, getWindmillServicePort, setApiRootUrl, setDataflowClient, setDataflowEndpoint, setDataflowJobFile, setDumpHeapOnOOM, setExperiments, setNumberOfWorkerHarnessThreads, setOverrideWindmillBinary, setPathValidator, setPathValidatorClass, setPubsubRootUrl, setStager, setStagerClass, setTransformNameMapping, setWindmillServiceEndpoint, setWindmillServicePort`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.DataflowPipelineWorkerPoolOptions

`getAutoscalingAlgorithm, getDiskSizeGb, getFilesToStage, getMaxNumWorkers, getNetwork, getNumWorkers, getSubnetwork, getTeardownPolicy, getUsePublicIps, getWorkerDiskType, getWorkerHarnessContainerImage, getWorkerMachineType, getZone, setAutoscalingAlgorithm, setDiskSizeGb, setFilesToStage, setMaxNumWorkers, setNetwork, setNumWorkers, setSubnetwork, setTeardownPolicy, setUsePublicIps, setWorkerDiskType, setWorkerHarnessContainerImage, setWorkerMachineType, setZone`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.BigQueryOptions

`getTempDatasetId, setTempDatasetId`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.StreamingOptions

`isStreaming, setStreaming`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.ApplicationNameOptions

`getAppName, setAppName`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.GcpOptions

`getAuthorizationServerEncodedUrl, getCredentialDir, getCredentialFactoryClass, getCredentialId, getGcpCredential, getSecretsFile, getServiceAccountKeyfile, getServiceAccountName, getTokenServerUrl, setAuthorizationServerEncodedUrl, setCredentialDir, setCredentialFactoryClass, setCredentialId, setGcpCredential, setSecretsFile, setServiceAccountKeyfile, setServiceAccountName, setTokenServerUrl`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.GoogleApiDebugOptions

`getGoogleApiTrace, setGoogleApiTrace`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.PipelineOptions

`as, cloneAs, getRunner, getStableUniqueNames, getTempLocation, setRunner, setStableUniqueNames, setTempLocation`

### Methods inherited from interface com.google.cloud.dataflow.sdk.transforms.display.HasDisplayData

`populateDisplayData`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.GcsOptions

`getExecutorService, getGcsEndpoint, getGcsUploadBufferSizeBytes, getGcsUtil, setExecutorService, setGcsEndpoint, setGcsUploadBufferSizeBytes, setGcsUtil`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.CloudDebuggerOptions

`getDebuggee, getEnableCloudDebugger, getMaxConditionCost, setDebuggee, setEnableCloudDebugger, setMaxConditionCost`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.DataflowWorkerLoggingOptions

`getDefaultWorkerLogLevel, getWorkerLogLevelOverrides, setDefaultWorkerLogLevel, setWorkerLogLevelOverrides`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.DataflowProfilingOptions

`getEnableProfilingAgent, getProfilingAgentConfiguration, setEnableProfilingAgent, setProfilingAgentConfiguration`

### Method Detail

#### getPubsubSubscription

    @Default.InstanceFactory(value=ExamplePubsubTopicAndSubscriptionOptions.PubsubSubscriptionFactory.class)
    String getPubsubSubscription()

#### setPubsubSubscription

    void setPubsubSubscription(String subscription)